GET /search/photos

unsplash.com:unsplash-api

Summary: Search photos
Operation ID: searchPhotos
Auth: api_key
Description

Search Unsplash photos by keyword query

Parameters (6)

color (string, query, optional)

Filter by color (hex code without #, or named color)

Constraints: {'enum': ['black_and_white', 'black', 'white', 'yellow', 'orange', 'red', 'purple', 'magenta', 'green', 'teal', 'blue']}

order_by (string, query, optional, default: relevant)

Sort photos by

Constraints: {'enum': ['relevant', 'latest']}

orientation (string, query, optional)

Filter by photo orientation

Constraints: {'enum': ['landscape', 'portrait', 'squarish']}

page (integer, query, optional, default: 1)

Page number to retrieve

Constraints: {'minimum': 1}

per_page (integer, query, optional, default: 10)

Number of items per page (max 30)

Constraints: {'minimum': 1, 'maximum': 30}

query (string, query, required)

Search query terms

No probe data for this endpoint yet.